/*
 * $Id: ParserException.java,v 1.4 2006/02/15 16:23:59 rampil Exp $
 * Copyright (c) 2004 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.koike.core.parser;

/**
 * パース処理中に発生した例外
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.4 $
 */
public class ParserException extends Exception {
	/** シリアルバージョンUID */
	private static final long serialVersionUID = 3222717008917159244L;

	/**
	 * コンストラクタ．
	 */
	public ParserException() {
		super();
	}
	/**
	 * コンストラクタ．
	 * @param msg メッセージ
	 */
	public ParserException(String msg) {
		super(msg);
	}
	/**
	 * コンストラクタ．
	 * @param e 元になった例外
	 */
	public ParserException(Exception e) {
		super(e);
	}
}
